gnutls_pem_base64_decode2(3)

NAME
gnutls_pem_base64_decode2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pem_base64_decode2(const char * header, const gnutls_datum_t * b64_data, gnutls_datum_t * result);

ARGUMENTS

const char * header
    The PEM header (eg. CERTIFICATE)

const gnutls_datum_t * b64_data
    contains the encoded data

gnutls_datum_t * result
    the place where decoded data lie

DESCRIPTION
This function will decode the given encoded data. The decoded data will be allocated, and stored into result. If the header given is non null this function will search for "-----BEGIN header" and decode only this part. Otherwise it will decode the first PEM packet found. You should use gnutls_free() to free the returned data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2015 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/